import request from '@/utils/request'

// 查询流通抽样检验工作汇总列表
export function listDetails(query) {
  return request({
    url: '/basicData/xcrFoodInspectionDetails/findByPage',
    method: 'get',
    params: query
  })
}

// 查询流通抽样检验工作汇总详细
export function getDetails(xhCodeId) {
  return request({
    url: '/basicData/xcrFoodInspectionDetails/' + xhCodeId,
    method: 'get'
  })
}

// 新增流通抽样检验工作汇总
export function addDetails(data) {
  return request({
    url: '/basicData/xcrFoodInspectionDetails',
    method: 'post',
    data: data
  })
}

// 修改流通抽样检验工作汇总
export function updateDetails(data) {
  return request({
    url: '/basicData/xcrFoodInspectionDetails',
    method: 'put',
    data: data
  })
}

// 删除流通抽样检验工作汇总
export function delDetails(xhCodeId) {
  return request({
    url: '/basicData/xcrFoodInspectionDetails/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delDetailsBatch(ids) {
  return request.post('/basicData/xcrFoodInspectionDetails/delete',ids)
}
